---
title: "IO"
source: /nl/gcxone/api/io
locale: nl
updated: 2026-09-04
---
Operaties op io‑resources. 7 eindpunten, elk relatief ten opzichte van `https://api.nxgen.cloud/api/v1` en geauthenticeerd zoals beschreven onder [Authenticatie](/gcxone/api/authentication).

## POST /io/filter

Haalt IO‑lijst op met filteren, sorteren en paginering. Het ondersteunt zoeken op hiërarchisch niveau. Het kan gefilterd worden met een opgegeven hiërarchie of gebruikt de hiërarchie van de aangemelde gebruiker. Dit biedt de mogelijkheid om extra entiteitsvelden op te nemen in de respons. Biedt tevens configuratiemetadata over de entiteit.

### Verzoek‑body

IO‑filteren en sorteren

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes | object |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

Voorbeeld `200` respons:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "name",
        "DisplayName": "Name",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "dateTime": 1658329286975,
      "id": 1601,
      "name": "output test 1",
      "uniqueId": "e9fa037e0f2f4aa1a25c49da6f45ff84",
      "type": "output",
      "deviceId": "a6183f1072554391b99e7acc9428de26",
      "deviceName": "Device",
      "siteId": "f2b51c0f62c64d15a7b1acc5ea13082d",
      "siteName": "Axxon Site1",
      "customerId": "93b4ce9e41534f548d396ba4d2d5a2ed",
      "serviceProviderId": "e7f417cf4a434b5093a8173cdb40004f",
      "isLinkedWithMap": "false",
      "isEnabled": "true"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## GET /io/getByDevice/{deviceId}

IO ophalen per Device Id

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| deviceId | pad | string | ja |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## POST /io/singleIO

Nieuw enkel IO-apparaat toevoegen

### Request-body

Enkel IO-apparaat toevoegen

```json
{
  "name": "string (required)",
  "id": "number (required)",
  "type": "input | output (required)",
  "deviceId": "string (required)",
  "jsonSchemaResult": "object"
}
```

### Responsen

| Status | Beschrijving | Inhoud |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "isSuccess": true
}
```

## GET /io/singleIO/{uniqueId}/{deviceId}/{type}

Get single IO detail

### Parameters

| Name | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| uniqueId | pad | string | ja |  |
| deviceId | pad | string | ja |  |
| type | pad | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes | object |
| 400 | Ongeldige invoer |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "id": 4547,
  "name": "output 3",
  "uniqueId": "9ccadb73fdde4760a6e64479706090b8",
  "associatedDeviceId": "2781f633d4334d189211320596db4dc6",
  "dateTime": 1657874428326,
  "jsonSchemaResult": {}
}
```

## PUT /io/singleIO/{uniqueId}/{deviceId}/{type}

Update enkel IO‑apparaat

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| uniqueId | pad | tekenreeks | ja |  |
| deviceId | pad | tekenreeks | ja |  |
| type | pad | tekenreeks | ja |  |

### Verzoekbody

Om een IO bij te werken, geef bestaande UniqueId op

```json
{
  "id": "number",
  "name": "string",
  "jsonSchemaResult": "object"
}
```

### Reacties

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "isSuccess": true
}
```

## DELETE /io/singleIO/{uniqueId}/{deviceId}/{type}

Verwijder enkel IO-apparaat

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| uniqueId | path | string | ja |  |
| deviceId | path | string | ja |  |
| type | path | string | ja |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` response:

```json
{
  "isSuccess": true
}
```

## GET /io/triggerIO?deviceId={deviceId}&relay={relay}&action={action}

IO activeren

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| deviceId | query | string | ja | Device Id |
| relay | query | string | ja | IO Device Id(IO id) |
| action | query | string | ja | IO State |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 401 | Niet toegestaan |  |
| 404 | Niet gevonden |  |